Package it.ernytech.tdlib

## Class TdApi.GetSupergroupMembers

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetSupergroupMembers

Enclosing class:
  TdApi

    public static class TdApi.GetSupergroupMembers
    extends TdApi.Function

Returns information about members or banned users in a supergroup or channel. Can be used only if SupergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

Returns `ChatMembers`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.SupergroupMembersFilter` `filter` The type of users to return.
`int` `limit` The maximum number of users be returned; up to 200.
`int` `offset` Number of users to skip.
`int` `supergroupId` Identifier of the supergroup or channel.

### Constructor Summary

Constructors
`GetSupergroupMembers()` Default constructor.
`GetSupergroupMembers​(int supergroupId, TdApi.SupergroupMembersFilter filter, int offset, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Identifier of the supergroup or channel.

#### filter

    public TdApi.SupergroupMembersFilter filter

The type of users to return. By default, supergroupMembersRecent.

#### offset

    public int offset

Number of users to skip.

#### limit

    public int limit

The maximum number of users be returned; up to 200.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetSupergroupMembers

    public GetSupergroupMembers()

Default constructor.

#### GetSupergroupMembers

    public GetSupergroupMembers​(int supergroupId,
                                TdApi.SupergroupMembersFilter filter,
                                int offset,
                                int limit)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Identifier of the supergroup or channel.
  `filter` - The type of users to return. By default, supergroupMembersRecent.
  `offset` - Number of users to skip.
  `limit` - The maximum number of users be returned; up to 200.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR